Bug 2118169

Summary: F37FailsToInstall: varnish-modules
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: varnish-modulesAssignee: Ingvar Hagelund <ingvar>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 37CC: dridi.boukelmoune, ingvar, luhliari
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: varnish-modules-0.20.0-3.fc37 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-09-12 17:47:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2045109    

Description Miro Hrončok 2022-08-14 17:11:17 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (varnish-modules) Fails To Install in Fedora 37:

can't install varnish-modules:
  - nothing provides varnish = 7.1.0 needed by varnish-modules-0.20.0-2.fc37.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-37-x86_64 --config-opts mirrored=False install varnish-modules


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2022-08-22 09:55:05 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Ingvar Hagelund 2022-09-05 06:34:52 UTC
This is fixed in varnish-modules-0.20.0-3.fc37. FEDORA-2022-7f54787a38 was just submitted for testing: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7f54787a38

Ingvar

Comment 3 Fedora Update System 2022-09-05 07:05:42 UTC
FEDORA-2022-7f54787a38 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7f54787a38

Comment 4 Fedora Update System 2022-09-12 17:47:01 UTC
FEDORA-2022-7f54787a38 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.